.menu-sites {
    background-color: var(--primary-accent);
    overflow: hidden;
    position: relative;
}

.site, a.menu-button {
    background-color: var(--primary-accent);
    color: var(--primary);
    text-decoration: none;
    font-size: 20px;
    margin-right: 5px;
    padding-bottom: 25px;
    padding-top: 25px;
}

a.site:hover, a.menu-button:hover {
    background-color: var(--secondary-accent);
    color: var(--secondary);
    transition: all 0.5s ease-out;
}

a.menu-button:hover {
    background-color: var(--primary-accent);
}

#menu {
    height: 0px;
}

img.arrow-icon {
    width: 60px;
    height: 60px;
}

@media (min-width:951px) {
    .menu-sites {
        padding-left: 25px;
        padding-right: 25px;
    }

    .site, .menu-button {
        display: inline;
    }

    .menu-sites a.arrowIcon {
        display: none;
    }

    .menu-sites {
        display: grid;
        grid-template-columns: 1fr 7fr;
        text-align: center;
    }

    a.menu-button:hover {
        background-color: var(--secondary-accent);
    }  

    #menu {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
        text-align: center;
        height: 0px;
    }
}

@media (max-width:950px) {

    .menu-sites {
        background-color: var(--primary-accent);
        overflow: hidden;
        position: relative;
    }

    .site, a.menu-button {
        background-color: var(--primary-accent);
        color: var(--primary);
        text-decoration: none;
        font-size: 20px;
        padding: 25px;
        display: block;
    }

    a.site:hover {
        background-color: var(--secondary-accent);
        color: var(--primary-accent);
        margin-left: -10px;
        margin-right: -10px;
    }

    .menu-sites a.arrowIcon {
        display: block;
        position: absolute;
        right: 20px;
        top: 15px;
    }

    #menu {
        display: block;
        transition-delay: 0.5s;
        transition: all 0.7s ease-out ;
        height: 0px;
    }

    #arrowIcon1 {
        transform: rotateZ(0deg);
    }

    .menu-sites a.arrowIcon:hover {
        transform: rotateZ(180deg);
        transition-duration: 0.7s;
        transform-style: preserve-3d;
    }
    
}
